Class Fox::FXDirItem

In: | FXDirList.rb
Parent: | FXTreeItem

Directory item

Methods

blockdev? chardev? directory? executable? fifo? new socket? symlink?

Attributes

assoc | [R] | File associations [FXFileAssoc]
date | [R] | File time [Integer]
size | [R] | File size [Integer]

Public Class methods

new(text, oi=nil, ci=nil, data=nil) {|theDirItem| ...}

Returns an initialized FXDirItem instance

Public Instance methods

directory?()

Return `true` if this is a directory

executable?()

Return `true` if this is an executable

symlink?()

Return `true` if this is a symbolic link

chardev?()

Return `true` if this is a character device

blockdev?()

Return `true` if this is a block device

fifo?()

Return `true` if this is a FIFO (a named pipe)

socket?()

Return `true` if this is a socket